Subject: [Dime] Questions on Election

From: HarshaM 71438 <[email-masked]>
Date: Thu, 16 Aug 2007 10:20:18 +0800

Hi All,

  I have two questions related to Election.

1) See the following states

   Wait-I-CEA       I-Rcv-CEA        Process-CEA      I-Open
                    R-Conn-CER       R-Accept,        Wait-Returns
                                     Process-CER,
                                     Elect
                    I-Peer-Disc      I-Disc           Closed
                    I-Rcv-Non-CEA    Error            Closed
                    Timeout          Error            Closed

   Wait-Returns     Win-Election     I-Disc,R-Snd-CEA R-Open
                    I-Peer-Disc      I-Disc,          R-Open
                                     R-Snd-CEA
                    I-Rcv-CEA        R-Disc           I-Open
                    R-Peer-Disc      R-Disc           Wait-I-CEA
                    R-Conn-CER       R-Reject         Wait-Returns
                    Timeout          Error            Closed

   When we are in WAIT-I-CEA and get R-Conn-CER, we will go to WAIT-RETURNS.
   In WAIT-RETURNS we should be able to get all the events for initiator that
   are expected in WAIT-I-CEA. I mean to say that we should be able to handle
   I-RCV-CEA, I-Peer-Disc, I-Rcv-Non-CEA and Timeout.
   We are handling all except I-Rcv-Non-CEA in Wait-Returns. I think this
   event is missed out in the RFC.Please tell me if I am right.

2) When comparing the Origin-Hosts of local node and the peer node, RFC has suggested to
   pad 0s at the end. If we pad 0s at the end of the shorter hostname, the longer one will
   always succeed because of comparison with 0.Why should we do that? Why not compare only
   till the length of the shorter hostname.

Please answer my questions.

Thanks and Regards,
Harsha 

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime